package com.example.julian.endlessroll.main.tutorial;

import com.example.julian.endlessroll.main.GameLog;

import java.util.Arrays;
import java.util.List;

/**
 * Created by Julian on 14.03.2017.
 */

public class Tutorial {

    private List<BreakPoint> breakPoints;

    private int currentBreakPointId = -1;
    private boolean overNewBreakPoint;

    public Tutorial(BreakPoint... breakPoints){
        this.breakPoints = Arrays.asList(breakPoints);
    }

    public void update(float playerProgress) {
        int nextBreakPoint = currentBreakPointId + 1;
        if (breakPoints.size() > nextBreakPoint && playerProgress >= breakPoints.get(nextBreakPoint).getX()) {
            currentBreakPointId++;
            overNewBreakPoint = true;
        } else
            overNewBreakPoint = false;
    }

    public boolean isOverNewBreakPoint() {
        return overNewBreakPoint;
    }

    public BreakPoint getCurrentBreakPoint() {
        return breakPoints.get(currentBreakPointId);
    }
}
