package com.example.julian.endlessroll.main.tutorial;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;

import com.example.julian.endlessroll.main.GameActivity;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Julian on 24.02.2017.
 */

public class TutorialView implements View.OnClickListener{

    private RelativeLayout layout;
    private GameActivity activity;
    private LayoutInflater inflater;

    public TutorialView(GameActivity activity){
        this.activity = activity;
        inflater = LayoutInflater.from(activity);
        layout = new RelativeLayout(activity);
        layout.setLayoutParams(new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT));
        layout.setVisibility(View.GONE);
        layout.setOnClickListener(this);
    }

    public RelativeLayout getLayout() {
        return layout;
    }

    public void show(BreakPoint breakPoint){
        inflater.inflate(breakPoint.getViewId(), layout);
        layout.setVisibility(View.VISIBLE);
    }

    @Override
    public void onClick(View v){
        layout.setVisibility(View.GONE);
        layout.removeAllViews();
        activity.onTutorialViewHidden();
    }
}
